Bug 10474 - The spoolssd tries to register at epmd and fails if epmd is not configured.
The spoolssd tries to register at epmd and fails if epmd is not configured.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-27 08:58 UTC by Andreas Schneider
Modified: 2014-03-25 09:27 UTC (History)
2 users (show)

See Also:


Attachments
v4-0-test and v4-1-test patch (2.73 KB, patch)
2014-02-27 18:24 UTC, Andreas Schneider
vl: review+
asn: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-02-27 08:58:29 UTC
The spoolssd tries to register at epmd and fails if epmd is not configured. So we end up with smbd running but no spoolss support.
Comment 1 Marc Muehlfeld 2014-02-27 09:33:14 UTC
Just for documentation: Currently you need
        rpc_server:epmapper = external
        rpc_daemon:epmd = fork 
        rpc_server:spoolss = external
        rpc_daemon:spoolssd = fork
to enable spoolssd in smb.conf


Andreas patch fixes this and
        rpc_server:spoolss = external
        rpc_daemon:spoolssd = fork
is enough to get it working.


Link to the patch:
https://git.samba.org/?p=asn/samba.git;a=patch;h=941dec4410848c9c6420911e2db75490d48f0dff


I can confirm, that this patch works fine on 4.1.5.
Comment 2 Andreas Schneider 2014-02-27 18:24:54 UTC
Created attachment 9732 [details]
v4-0-test and v4-1-test patch
Comment 3 Andreas Schneider 2014-02-28 09:55:06 UTC
Karolin, please apply the patch to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2014-03-10 15:37:03 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2014-03-25 09:27:01 UTC
(In reply to comment #4)
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!